package com.friday.operation.api.custody.service;

import com.friday.base.common.response.DubboResult;
import com.friday.operation.api.custody.dto.*;
import com.friday.operation.api.custody.vo.*;

import java.util.ArrayList;
import java.util.List;

public interface ICustodyDataService {
    DubboResult<FundIndicatorVO<List<MaximumDrawdownDTO>>> getMaximumDrawdown(FundIndicatorQueryDTO query);

    DubboResult<FundIndicatorVO<List<SharpRatioDTO>>> getSharpRatio(FundIndicatorQueryDTO query);

    DubboResult<ArrayList<OverviewOfPrivateFundVO>> overviewOfPrivateFund(OverviewOfPrivateFundQueryDTO query);

    DubboResult syncOverviewOfPrivateFundFromCds(String admin);

    DubboResult saveTenantMapping(String tenant);

    /**
     * @author GuoW
     * @date 2023/12/12 16:26
     * @description 更新募集户余额数据
     **/
    DubboResult updateMJBalanceData(String admin);

    /**
     * @author GuoW
     * @date 2023/12/12 16:26
     * @description 更新募集户流水数据
     **/
    DubboResult updateMJSeqData(String admin);

    /**
     * @author GuoW
     * @date 2023/12/12 16:26
     * @description 更新托管户余额数据
     **/
    DubboResult updateTGBalanceData(String admin);

    /**
     * @author GuoW
     * @date 2023/12/12 16:26
     * @description 更新托管户流水数据
     **/
    DubboResult updateTGSeqData(String admin);
}
